<?php

namespace App\Models;

class Product extends Eloquent {

	protected $table = 'products';
	public $timestamps = true;
	protected $fillable = array('family_id', 'name', 'category_id', 'price', 'description');

	public function family()
	{
		return $this->belongsTo('User', 'family_id');
	}

	public function category()
	{
		return $this->belongsTo('App\Models\Category', 'category_id');
	}

	public function images()
	{
		return $this->hasMany('App\Models\ProductImage', 'product_id');
	}

}